#!/bin/sh -x
# build script for fakeroot
# built on tc-6.x


pkgname=fakeroot
pkgver=1.18.4
#pkgver=1.20.2
source="http://ftp.debian.org/debian/pool/main/f/${pkgname}/${pkgname}_${pkgver}.orig.tar.bz2"
#pkgdir="/tmp/${pkgname}_install"
pkgdir="/usr/local"

## load build deps
tceinstalled='/usr/local/tce.installed'
tcepath='/etc/sysconfig/tcedir/optional'

deps="compiletc.tcz \
bash.tcz \
glib2-dev.tcz \
wget.tcz \
filesystems-3.16.6-tinycore.tcz \
sed.tcz  \
pkg-config.tcz  \
libtool-dev.tcz \
acl-dev.tcz \
util-linux.tcz"


for i in `echo $deps`; do 

depname=`basename "$i" .tcz`

# check if tcz installed already
if [ -f ${tceinstalled}/"$depname" ]; then
	echo "${WHITE}"$i" ${GREEN}Already loaded${NORMAL}"

else
	if  [ ! -f ${tceinstalled}/"$depname" ]; then

# tcz not installed, then install from local path
	if [ -f ${tcepath}/"$i" ]; then
	  while [ ! -f ${tceinstalled}/"$depname" ]; do
	    tce-load -i "$depname"; sleep 0.5
	  done
		if [ -f ${tceinstalled}/"$depname" ]; then
			echo "${CYAN}"$i" ${BLUE}loaded locally${NORMAL}"
		fi

# tcz not downloaded, install from repo
	elif [ ! -f ${tcepath}/"$i" ]; then
	    tce-load -wil "$depname"; sleep 0.5
		if [ -f ${tceinstalled}/"$depname" ]; then
			echo "${MAGENTA}"$i" ${YELLOW}downloaded from repo${NORMAL}"
		fi
	fi
	fi
fi

if [ ! -f "${tceinstalled}/$depname" ]; then
	echo "${RED}$i failed to load, exiting..${NORMAL}"; exit 8
fi

done

sleep 1


mkdir /tmp/${pkgname}
cd /tmp/${pkgname}
wget $source

if [ -f ${pkgname}*.bz2 ]; then
	tar -vxjf ${pkgname}*.bz2
else
   echo -e "\n\nerror... "
   exit 9 
fi

cd $pkgname-$pkgver

CC="gcc -march=i486 -mtune=i686 -Os -pipe" CXX="g++ -march=i486 -mtune=i686 -Os -pipe -fno-exceptions -fno-rtti" 
./configure --prefix=/usr/local --libdir=/usr/local/lib/libfakeroot --disable-static --with-ipc=sysv

find . -name Makefile -type f -exec sed -i 's/-O2//g' {} \;

#make DESTDIR="$pkgdir" install
sudo make install

cd /
sudo install -dm755 ${pkgdir}/etc/ld.so.conf.d/
sudo su
echo "/usr/local/lib/libfakeroot" > /usr/local/etc/ld.so.conf.d/fakeroot.conf

cd /usr/local/bin
strip --strip-debug --strip-unneeded faked


